/*
 * $RCSfile: LoggerConfigurator.java,v $
 * $Date: 2006/01/26 14:48:59 $
 * $Revision: 1.1.2.1 $
 * $Author: andreys $
 */
 
/*
 * Copyright (c) 2002-2003 IST-2004-2006-511731 ModelWare - ModelBus.
 * All rights reserved.
 *
 * This software is published under the terms of the ModelBus Software License
 * in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * A copy of ModelBus Software License is provided with this distribution in
 * doc/LICENSE.txt file.
 */
 
/*
 * LoggerConfigurator.java Add description 
 * 
 * @author Andrey Sadovykh (LIP6)
 * @version $Revision: 1.1.2.1 $ $Date: 2006/01/26 14:48:59 $
 * @see Add references
 *
 * TODO Add description
 * TODO Add references
 */
package org.eclipse.mddi.modelbus.adapter.infrastructure;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;

public class LoggerConfigurator {

    private static boolean isConfigured=false;
    private static Logger logger=Logger.getLogger("org.eclipse.mddi.modelbus");
    private static Logger root=Logger.getRootLogger();
    
    public LoggerConfigurator() {
    }

    public static void configure(){
        if (!isConfigured) {
            isConfigured=true;
            BasicConfigurator.configure();
            root.setLevel(Level.INFO);
            logger.setLevel(Level.DEBUG);

        }
    }
    

}
